<app-navbar></app-navbar>
<div class="container">
    <div class="row pt-3 mob-p-0">
        <div class="col-lg-12 m-a">
            <div id="crumbs">
                <!-- <ul class="page-url">
                    <li><a>High-Tech  </a></li>
                    <li><a>TV, vidéo et home cinéma </a></li>
                    <li><a>Téléviseurs</a></li>
                </ul> -->
            </div>
            <div class="">
                <div class="row pt-20" *ngIf="tProducts">

                    <div *ngFor="let product of tProducts; let index = index" class="col-md-3">
                        <div   >
                            <div>
                                <div class="product-grid">
                                    <!-- <div >
                                        {{ ( calcDateDiff(product.auction_end_date) | json )}}
                                    </div>
                                    <div *ngIf="calcDateDiff(product.auction_end_date) as variable">
                                        <span>{{variable.daysToDday}}</span>
                                        <span>{{variable.hoursToDday}}</span>
                                        <span>{{variable.minutesToDday}}</span>
                                        <span>{{variable.secondsToDday}}</span>
                                    </div> -->
                                    
    
    
                                    <div class="product-image">
    
    
                                        <div *ngIf="product.images.length != 0;else other_content">
                                            <a routerLink="/view-product/{{product._id}}" target="">
                                                <img class="pic-1" src="{{baseurl}}static/public/{{product.images[0]}}">
                                                <div class="info1 py-2 px-2">
                                                    <div class="">
                                                        <div class="col-lg-12 col-md-12 col-sm-12 col-12 text-right p-0 w-100">
                                                            <button class="btn btn-auction">Encan</button>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="info py-2 px-2">
                                                    <div class="row px-3">
                                                        <div class="p-0">
                                                             
                                                        </div>
                                                    </div>
                                                </div>
                                            </a>
                                        </div>
                                        <ng-template #other_content>
                                            <img class="pic-1" src="./assets/build/img/nopro2.png">
                                        </ng-template>
                                    </div>
    
                                    <div class="product-content">
                                        <h3 class="title"><a>{{product.title}}</a></h3>
                                       
                                        <div class="ra-ting-spn" style="cursor: not-allowed !important;position: relative;
                                           z-index: 1;">
                                            <ngb-rating [max]=5 [(rate)]="product.avgRating"></ngb-rating>
                                            <span class="value" *ngIf="product.reviews">({{product.reviews.length}}) </span>
                                        </div>
    
    
                                        <div class="price">
                                            {{product.auction_price}} CFA
                                            
    
    
                                        </div>
                                        <div   >
                                            <ng-container *ngIf="product.auctionBidLatest.length > 0">
                                                <p class="text-left">
                                                    <span class="spn-lb">Enchère gagnante
                                                    : CFA
                                                    {{product.auctionBidLatest[0].bid_amount}}</span>
                                                </p>

                                                <a   class="btn btn-gbid w-100" (click)="purchaseBid(product.auctionBidLatest[0]._id , product.auctionBidLatest[0].product_id)" >Acheter un produit</a>
                                            </ng-container>

                                            
                                        </div>
                                        
                                    </div>
                                </div>
                            </div>
                        </div>
                        

                        <div class="comeBack_up" *ngIf="apiResponse">
                            <div *ngIf="apiResponse.status == false; else loggedOut">
                                <div class="alert alert-danger"><strong>{{ apiResponse.errmessage }}</strong></div>
                            </div>
                            <ng-template #loggedOut>
                                <div class="alert alert-success"><strong>{{ apiResponse.message }}</strong></div>
                            </ng-template>
                        </div>




                    </div>

                    <div *ngIf="tProducts.length == 0">
                        <div class="container">
                            <div class="screen-mtb-50">
                                <div class="row">
                                    <div class="col-lg-8 col-md-8 col-sm-12 col-12 m-a mob-canter">
                                        <div class="row">
                    
                                            <div class="col-lg-12 col-sm-12 col-md-12 col-12 a-s-c text-center">
                                                <img class="mw-100" src="./assets/build/img/nobid.png" width="250" />
                                                
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div> 
                    </div>



                </div>
            </div>
        </div>
    </div>
</div>
<app-footer></app-footer>